## mx4j.tools.heartbeat
Interface HeartBeatCapable

public interface HeartBeatCapable

Interface to be implemented by any mbean that may support heartbeat mechanism. Implementation must return NO_HEARTBEAT if there is no heartbeat capability.

Version:
  $Revision: 1.4 $

Field Summary
`static java.lang.String` `NO_HEARTBEAT`

Method Summary
`java.lang.String` `getHeartBeatName()`

Field Detail

### NO_HEARTBEAT

    public static final java.lang.String NO_HEARTBEAT

Method Detail

### getHeartBeatName

    public java.lang.String getHeartBeatName()

Copyright © 2001-2003 MX4J Team. All Rights Reserved.